GDB (xrefs)

Public Attributes | List of all members
ft32_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
LONGEST | framesize
CORE_ADDR | saved_regs [FT32_NUM_REGS]
CORE_ADDR | saved_sp
bfd_boolean | established

## Detailed Description

Definition at line 51 of file ft32-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR ft32_frame_cache::base

Definition at line 54 of file ft32-tdep.c.

Referenced by ft32_frame_base_address(), ft32_frame_cache(), and ft32_frame_this_id().

## ◆ established

bfd_boolean ft32_frame_cache::established

Definition at line 64 of file ft32-tdep.c.

Referenced by ft32_analyze_prologue(), and ft32_frame_cache().

## ◆ framesize

LONGEST ft32_frame_cache::framesize

Definition at line 58 of file ft32-tdep.c.

Referenced by ft32_analyze_prologue().

## ◆ pc

CORE_ADDR ft32_frame_cache::pc

Definition at line 56 of file ft32-tdep.c.

Referenced by ft32_frame_cache(), ft32_frame_this_id(), ft32_read_pc(), and ft32_skip_prologue().

## ◆ saved_regs

CORE_ADDR ft32_frame_cache::saved_regs[FT32_NUM_REGS]

Definition at line 60 of file ft32-tdep.c.

Referenced by ft32_alloc_frame_cache(), ft32_analyze_prologue(), ft32_frame_cache(), and ft32_frame_prev_register().

## ◆ saved_sp

CORE_ADDR ft32_frame_cache::saved_sp

Definition at line 62 of file ft32-tdep.c.

Referenced by ft32_frame_cache(), ft32_frame_prev_register(), and ft32_frame_this_id().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ft32-tdep.c